### Constructor

# JavaScriptCore Exception new_with_name

#### Declaration [src]

    JSCException*
    jsc_exception_new_with_name (
      JSCContext* context,
      const char* name,
      const char* message
    )

#### Description [src]

Create a new `JSCException` in `context` with `name` and `message`.

#### Parameters

`context` | `JSCContext`
| A `JSCContext`.
| The data is owned by the caller of the function.
`name` | `const char*`
| The error name.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`message` | `const char*`
| The error message.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `JSCException`
| A new `JSCException`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.